#include <iostream>
#include <stdlib.h>
using namespace std;
int main()
{
    int L,R,p,q,r,k,p1,q1,r1,l,konacno=0;
    cin>>p>>q>>r>>L>>R;
    k=R-L;
    int a[k];
    a[0]=L;
    for(int i=1;i<k;i++){
        a[i]=a[0]+i;
    }
    div_t jbro;
    for (int i=0;i<k;i++){
        jbro=div(a[i],p);
        if(jbro.rem>0){
            p1=jbro.quot+1;
        }
        if(jbro.rem=0) {
            p1=jbro.quot;
        }
        jbro=div(a[i],q);
            if(jbro.rem>0) {
                q1=jbro.quot+1;
            }
            if(jbro.rem=0) {
                q1=jbro.quot;
            }
            jbro=div(a[i],r);
            if(jbro.rem>0){
                r1=jbro.quot+1;
            }
            if(jbro.rem=0) {
                r1=jbro.quot;
            }
            l=r1+q1+p1;
            if(l<=a[i]){
                konacno++;
            };
            r1=0;
            p1=0;
            q1=0;
    }
    cout<<konacno;
    return 0;
}